> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/trlink/set-destination-travel-rule-message-id",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Set destination travel rule message ID

> Associates a Travel Rule Message ID with a specific destination in a multi-destination Fireblocks transaction. Matches destinations by amount and peer path.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /screening/trlink/transaction/{txId}/destination/travel_rule_message_id
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/trlink/transaction/{txId}/destination/travel_rule_message_id:
    post:
      tags:
        - TRLink
      summary: Set destination travel rule message ID
      description: >-
        Associates a Travel Rule Message ID with a specific destination in a
        multi-destination Fireblocks transaction. Matches destinations by amount
        and peer path.
      operationId: setTRLinkDestinationTravelRuleMessageId
      parameters:
        - name: txId
          in: path
          required: true
          description: Fireblocks transaction unique identifier
          schema:
            type: string
            format: uuid
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/TRLinkSetDestinationTravelRuleMessageIdRequest
      responses:
        '200':
          description: Destination travel rule message ID set successfully
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TRLinkSetDestinationTravelRuleMessageIdResponse
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<TRLinkSetDestinationTravelRuleMessageIdResponse>>
            =
            fireblocks.tRLink.setTRLinkDestinationTravelRuleMessageId(tRLinkApiSetTRLinkDestinationTravelRuleMessageIdRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TRLinkSetDestinationTravelRuleMessageIdResponse>>
            response =
            fireblocks.tRLink().setTRLinkDestinationTravelRuleMessageId(tRLinkSetDestinationTravelRuleMessageIdRequest,
            txId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.t_r_link.set_t_r_link_destination_travel_rule_message_id(t_r_link_set_destination_travel_rule_message_id_request,
            tx_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    TRLinkSetDestinationTravelRuleMessageIdRequest:
      type: object
      description: Request to set TRM ID for specific transaction destination
      properties:
        amount:
          type: string
          description: Destination amount for matching
          example: '1000'
        destination:
          $ref: '#/components/schemas/TRLinkTransferPeerPath'
        travelRuleMessageId:
          type: string
          description: Travel Rule Message ID to associate with destination (null to unset)
          nullable: true
          example: trm_1234567890abcdef
      required:
        - amount
        - destination
        - travelRuleMessageId
    TRLinkSetDestinationTravelRuleMessageIdResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Whether the operation was successful
          example: true
        updatedDestinations:
          type: number
          description: Number of destinations updated
          example: 1
        failedDestinations:
          type: number
          description: Number of destinations that failed to update
          example: 0
        errors:
          type: array
          items:
            type: string
          description: List of errors (if any)
          nullable: true
          example: []
      required:
        - success
        - updatedDestinations
        - failedDestinations
    TRLinkTransferPeerPath:
      type: object
      description: Transfer peer path for destination matching
      properties:
        type:
          type: string
          description: Peer type
          nullable: true
          example: VAULT_ACCOUNT
        id:
          type: string
          description: Peer ID
          nullable: true
          example: '12'
        subType:
          type: string
          description: Peer subtype
          nullable: true
          example: '0'
        address:
          type: string
          description: Peer address
          nullable: true
          example: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb'
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````